Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.structure
Class ObjectNode.ParentBindingList

    java.lang.Object
      org.apache.slide.structure.ObjectNode.BindingList
          org.apache.slide.structure.ObjectNode.ParentBindingList

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Enclosing class:
  ObjectNode

public static class ObjectNode.ParentBindingList
extends ObjectNode.BindingList

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.slide.structure.ObjectNode.BindingList
`container`

Constructor Summary
`ObjectNode.ParentBindingList()`
`ObjectNode.ParentBindingList(java.util.Vector container)`

Method Summary
`java.lang.Object` | `clone()`
`protected java.util.Enumeration` | `elements()`
`protected ObjectNode.Binding` | `put(java.lang.String bindingName, ObjectNode source)`
`protected void` | `remove(java.lang.String bindingName, java.lang.String uuri)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.slide.structure.ObjectNode.BindingList
`get, remove, size`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectNode.ParentBindingList

    public ObjectNode.ParentBindingList()

### ObjectNode.ParentBindingList

    public ObjectNode.ParentBindingList(java.util.Vector container)

Method Detail

### elements

    protected java.util.Enumeration elements()

  Overrides:
    `elements` in class `ObjectNode.BindingList`

### put

    protected ObjectNode.Binding put(java.lang.String bindingName,
                                     ObjectNode source)

  Overrides:
    `put` in class `ObjectNode.BindingList`

### remove

    protected void remove(java.lang.String bindingName,
                          java.lang.String uuri)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `ObjectNode.BindingList`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ObjectNode.BindingList`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD